1

Today I tried to start Gramps but it fails with anUnicodeDecodeError and exits:

$ gramps
2017-02-18 19:09:05.715: ERROR: grampsgui.py: line 384: 
Gramps failed to start. Please report a bug about this.
This could be because of an error in a (third party) View on startup.
To use another view, don't load a Family Tree, change view, and then load your Family Tree.
You can also change manually the startup view in the gramps.ini file 
by changing the last-view parameter.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gramps/gui/grampsgui.py", line 353, in __startgramps
    Gramps(argparser)
  File "/usr/lib/python2.7/dist-packages/gramps/gui/grampsgui.py", line 252, in __init__
    from . import viewmanager
  File "/usr/lib/python2.7/dist-packages/gramps/gui/viewmanager.py", line 75, in <module>
    from .plug import tool
  File "/usr/lib/python2.7/dist-packages/gramps/gui/plug/__init__.py", line 33, in <module>
    from ._guioptions import make_gui_option, add_gui_options
  File "/usr/lib/python2.7/dist-packages/gramps/gui/plug/_guioptions.py", line 57, in <module>
    from .. import widgets
  File "/usr/lib/python2.7/dist-packages/gramps/gui/widgets/__init__.py", line 28, in <module>
    from .dateentry import *
  File "/usr/lib/python2.7/dist-packages/gramps/gui/widgets/dateentry.py", line 45, in <module>
    from .monitoredwidgets import MonitoredDate
  File "/usr/lib/python2.7/dist-packages/gramps/gui/widgets/monitoredwidgets.py", line 57, in <module>
    from gramps.gen.datehandler import displayer, parser
  File "/usr/lib/python2.7/dist-packages/gramps/gen/datehandler/__init__.py", line 37, in <module>
    from ._datehandler import (LANG, LANG_SHORT, LANG_TO_PARSER, LANG_TO_DISPLAY,
  File "/usr/lib/python2.7/dist-packages/gramps/gen/datehandler/_datehandler.py", line 48, in <module>
    from ._dateparser import DateParser
  File "/usr/lib/python2.7/dist-packages/gramps/gen/datehandler/_dateparser.py", line 53, in <module>
    from . import _grampslocale
  File "/usr/lib/python2.7/dist-packages/gramps/gen/datehandler/_grampslocale.py", line 217, in <module>
    to_uni(time.strftime('%A',(1,1,1,1,1,1,2,1,1)), codeset), # Wednesday
  File "/usr/lib/python2.7/dist-packages/gramps/gen/constfunc.py", line 67, in conv_to_unicode
    return x if x is None or isinstance(x, UNITYPE) else cuni(x, y) if y else cuni(x)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)

I've tried to run it with another value as LANGUAGE environment variable but it doesn't work.

Gramps version is 4.0.4-1, Python 2.7.6, Ubuntu 14.04.

I can't do a backup because the GUI won't load and creating the backup via console fails with the same error, so I don't want to risk doing an update without having a proper backup.

What can I do to run Gramps, or at least diagnose the problem?

1

I've found a workaround:

LC_CTYPE=en_US.UTF-8 gramps

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.